#include "Math.h"

#include <iostream>
#include <string>
#include <sstream>

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr2(Vector2i v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr2(Vector2f v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr2(Vector2d v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr3(Vector3i v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr3(Vector3f v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr3(Vector3d v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr4(Vector4i v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << ", " << v[3] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr4(Vector4f v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << ", " << v[3] << " }";
   s = ss.str();
   return s;   
   }

////////////////////////////////////////////////////////////////////////////////
std::string & arda::Vector::vectostr4(Vector4d v, std::string & s)
   {
   s.clear();
   std::stringstream ss;
   ss << "{ " << v[0] << ", " << v[1] << ", " << v[2] << ", " << v[3] << " }";
   s = ss.str();
   return s;   
   }
